Watch a code
PUT
/watchlists/{code}
const url = 'https://api.firmsapi.com/v1/watchlists/E430';const options = {method: 'PUT', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.firmsapi.com/v1/watchlists/E430 \ --header 'x-api-key: <x-api-key>'Idempotent: watching a code twice keeps the original created_at. The code must be on the FIRMS list (deleted codes are fine). Does not count toward your monthly calls.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” code
required
Code
4-character FIRMS code.
string
4-character FIRMS code.
Responses
Section titled “ Responses ”OK
Media type application/json
WatchEntryResponse
object
data
required
WatchEntry
object
code
required
Code
string
created_at
required
Created At
string
facility
required
Any of:
FacilitySummary
object
code
required
Code
string
name
required
Name
string
status
required
Status
string
type
required
Any of:
FacilityType
object
code
required
Code
string
label
required
Label
string
null
null
Example
{ "data": { "facility": { "status": "active", "type": { "code": "03", "label": "Pier or terminal" } } }, "meta": { "mode": "live" }}Invalid request (not counted).
Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code
Stable, machine-readable error code.
string
message
required
Message
string
links
required
Links
docs always; billing, buy_pack, upgrade when they help.
object
key
additional properties
string
details
Details
Example
{ "error": { "code": "quota_exceeded" }, "meta": { "mode": "live" }}Missing, invalid or revoked API key.
Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code
Stable, machine-readable error code.
string
message
required
Message
string
links
required
Links
docs always; billing, buy_pack, upgrade when they help.
object
key
additional properties
string
details
Details
Example
{ "error": { "code": "quota_exceeded" }, "meta": { "mode": "live" }}Your plan does not include this endpoint (not counted).
Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code
Stable, machine-readable error code.
string
message
required
Message
string
links
required
Links
docs always; billing, buy_pack, upgrade when they help.
object
key
additional properties
string
details
Details
Example
{ "error": { "code": "quota_exceeded" }, "meta": { "mode": "live" }}Not found (counted: it is a lookup result).
Media type application/json
ErrorResponse
object
error
required
ErrorBody
object
code
required
Code
Stable, machine-readable error code.
string
message
required
Message
string
links
required
Links
docs always; billing, buy_pack, upgrade when they help.
object
key
additional properties
string
details
Details
Example
{ "error": { "code": "quota_exceeded" }, "meta": { "mode": "live" }}